
QGIS Application - Bug report #5588

Print Composer - arrow size

2012-05-14 08:58 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15165

Description

I create a new composer, then click on the "Add arrow" button and then click on the blank space.

This gives me a piddly little arrow. So I mouse over one of the corner boxes and drag and see a nice satisfying bounding box which

implies my arrow is about to get bigger. I release the mouse button and... the arrow moves to the new location but doesn't get any bigger.

History

#1 - 2012-05-14 09:26 AM - Jonathan Moules

"Attribute table" does this too. Other elements may also.

The reason this is a problem is because if I wanted to "move" it, I'd use the "move" hand.

#2 - 2012-05-14 10:13 AM - Giovanni Manghi

- Category set to 33

- Status changed from Open to Feedback

- Assignee set to Marco Hugentobler

I confirm it on master/ubuntu. If the user mistakenly just click instead of dragging a little the mouse, then it remains with an object that seems not resizable.

Jonathan Moules, on what version of qgis are you getting the issue? 1.7.4?

#3 - 2012-05-15 02:14 AM - Jonathan Moules

Yep, 1.7.4

#4 - 2012-05-15 02:34 AM - Giovanni Manghi

see also #5590

#5 - 2012-06-16 02:35 AM - Jürgen Fischer

- Status changed from Feedback to Open

#6 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0
#7 - 2013-09-22 03:07 AM - Giovanni Manghi

- Affected QGIS version changed from 1.7.4 to 2.0.1

- Assignee deleted (Marco Hugentobler)

- Target version changed from Version 2.0.0 to 70

#8 - 2013-09-26 11:30 AM - Jürgen Fischer

- Target version changed from 70 to Future Release - High Priority

#9 - 2014-04-06 06:04 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#10 - 2014-06-03 03:48 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

This isn't reproducible in master anymore.
